{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":40434,"path":"platform-security/authentication/c_OAuthClientAPIs.md","title":"OAuth client APIs","bundle":null,"doc_type":null,"release":"australia","body":"\n# OAuth client APIs\n\nThe OAuth client API provides methods to request and revoke OAuth tokens.\n\nThe OAuth client provides these classes:\n\n-   [GlideOAuthClient](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/server-api-reference/c_GlideOAuthClient.md): Methods for requesting and revoking the refresh and access tokens.\n-   [GlideOAuthClientRequest](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/server-api-reference/c_GlideOAuthClientRequest.md): Methods for handling client requests.\n-   [GlideOAuthClientResponse](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/server-api-reference/c_GlideOAuthClientResponse.md): Methods for handling client responses.\n-   [GlideOAuthToken](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/api-reference/server-api-reference/c_GlideOAuthToken.md): Methods for retrieving the access token and information about the access token.\n\nYou can also customize the OAuthUtil script include to intercept the request parameters and also parse the responses from external OAuth providers.\n\nWhen using OAuth classes in a scoped script, use the `sn_auth` namespace identifier.\n\n"}}